Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentPropertyContactTypeArray

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentPropertyContactTypeArray

    public class AgentPropertyContactTypeArray

extends java.lang.Object

Java class for agentPropertyContactTypeArray complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentPropertyContactTypeArray">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="item" type="{http://www.nortel.com/soa/oi/cct/types}agentPropertyContactType" maxOccurs="10" minOccurs="0"/>
             <element name="contactPropertyType" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="translationTable" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentPropertyContactTypeArray()`

Method Summary
`java.lang.String` | `getContactPropertyType()` Gets the value of the contactPropertyType property.
`java.util.List<AgentPropertyContactType>` | `getItem()` Gets the value of the item property.
`java.lang.String` | `getTranslationTable()` Gets the value of the translationTable property.
`void` | `setContactPropertyType(java.lang.String value)` Sets the value of the contactPropertyType property.
`void` | `setTranslationTable(java.lang.String value)` Sets the value of the translationTable property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentPropertyContactTypeArray

    public AgentPropertyContactTypeArray()

Method Detail

### getItem

    public java.util.List<AgentPropertyContactType> getItem()

  Gets the value of the item property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

  For example, to add a new item, do as follows:

          getItem().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentPropertyContactType`

### getContactPropertyType

    public java.lang.String getContactPropertyType()

  Gets the value of the contactPropertyType property.

  Returns:
    possible object is `String`

### setContactPropertyType

    public void setContactPropertyType(java.lang.String value)

  Sets the value of the contactPropertyType property.

  Parameters:
    `value` - allowed object is `String`

### getTranslationTable

    public java.lang.String getTranslationTable()

  Gets the value of the translationTable property.

  Returns:
    possible object is `String`

### setTranslationTable

    public void setTranslationTable(java.lang.String value)

  Sets the value of the translationTable property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.